Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  löschen von Texten die leer sind?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   löschen von Texten die leer sind? (1213 mal gelesen)
steppe2000
Mitglied



Sehen Sie sich das Profil von steppe2000 an!   Senden Sie eine Private Message an steppe2000  Schreiben Sie einen Gästebucheintrag für steppe2000

Beiträge: 108
Registriert: 03.04.2006

erstellt am: 11. Sep. 2009 11:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen
ich habe in einer Datei eine unmenge an DTexten, die keinen Wert haben; also das nackte Objekt so zu sagen...
wie kann ich diese objekte löschen...
über Filter oder Schnellfilter kann ich nicht drauf zugreifen... oder ich bin zu dumm dafür (nicht ausgeschlossen)...
hat jemand ein tool oder script oder so?

DANKE!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 993
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 11. Sep. 2009 12:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steppe2000 10 Unities + Antwort hilfreich

Hallo,
auf der Seite von www.cadwiesel.de  gibt es unter der Rubrik "Objekte-->Text" das Lisp 0-PL,
das soll auch Texte mit der länge Null löschen.
Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

steppe2000
Mitglied



Sehen Sie sich das Profil von steppe2000 an!   Senden Sie eine Private Message an steppe2000  Schreiben Sie einen Gästebucheintrag für steppe2000

Beiträge: 108
Registriert: 03.04.2006

erstellt am: 11. Sep. 2009 12:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke - Klasse!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

neo4matrix
Mitglied
Konstrukteur


Sehen Sie sich das Profil von neo4matrix an!   Senden Sie eine Private Message an neo4matrix  Schreiben Sie einen Gästebucheintrag für neo4matrix

Beiträge: 111
Registriert: 15.01.2008

HP™ z420 Workstation mit
Intel® Xeon E5-1650 6x3.2GHz
8GB Arbeitsspeicher DDR3
128 GB Solid State Drive (SSD) und
1000 GB Harddisk (HDD)
NVIDIA® GTX 660 mit 2 GB GDDR5 RAM
HP™ 24" LPS LED TFT 16:10 ZR2440w.
Windows 7 Professional, 64 Bit
AutoCAD 2019 Design Suite Standard, SP1, 64 Bit
ecscad 2019, v19.1.0.20, 64 Bit
Microstation v8 2004, 32 Bit
MicroStation CONNECT Edition Update 11
Microsoft Office 2013, 32 Bit
Microsoft Visio 2013, 32 Bit

erstellt am: 11. Sep. 2009 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steppe2000 10 Unities + Antwort hilfreich


Leere_Texte_loeschen.zip

 
Ich hatte das selbe Problem.

Eine LISP ist meines erachtens dafür nicht nötig.

Ich habe mir damals eine Schaltfläche programmiert mit folgendem Makro:

lö;(ssget "X" '((0 . "TEXT")(1 . "")));;

Dabei werden alle leeren DTexte gelöscht. Leider bleibt das Makro im Befehl Löschen stehen, wenn KEINE leeren Texte vorhanden sind :-(
Als Lösung machte ich folgendes Makro:

_point;0,0;(ssget);letztes;;(ssget "X" '((0 . "TEXT")(1 . "")));lö;_p;;_point;0,0;(ssget "X" '((0 . "POINT")));lö;_p;;

Es erstellt zuerst einen Punkt bei 0,0 holt sich dann alle leeren Texte in die "letzte Auswahl", also die leeren Texte, löscht dann die "letzte Auswahl", erstellt dann wieder einen Punkt bei 0,0 holt sich dann alle Punkte in die "letzte Auswahl", löscht dann die "letzte Auswahl", also die Punkte.
Das ist zwar umständlich, aber so bleibt das Makro nie stehen. Leider sind danach immer ALLE Punkte weg :-(
Da ich nie mit Punkten arbeite stört mich dies jedoch nicht.

Hoffe geholfen zu haben...

Im Anhang noch mein erstelltes Schaltflächensymbol als BMP.


mfg
neo

------------------
Welcome to the Real

[Diese Nachricht wurde von neo4matrix am 11. Sep. 2009 editiert.]

[Diese Nachricht wurde von neo4matrix am 11. Sep. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 11. Sep. 2009 22:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Hi,

auch wenn's in Deiner SystemInfo drinsteht  (Version 2008) kurze Info zu AutoCAD 2010 (für nachfolgende Suchende) ==> ab Version 2010 lassen sich mit dem Befehl '_purge'/'bereinig' sowohl leere Texte wie auch Elemente mit 0-Länge automatisiert beseitigen.

- alfred -

------------------
www.hollaus.at

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 11. Sep. 2009 22:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steppe2000 10 Unities + Antwort hilfreich

Hi,

sehr kreativ. Muss man schon sagen!       

Zum Löschen leerer Texte würde ich dann aber doch lieber zu ein paar Lisp-Zeilen greifen, die dann aber nicht nur Texte, sondern zum Beispiel auch MTexte und Attributsdefinitionen berücksichtigt.

Außerdem können leere Texte nicht nur ganz leer sein, sondern auch aus einem oder mehreren Leerzeichen bestehen, oder nur Unterstreichungen enthalten...

Gibt sicher noch mehr Möglichkeiten. Hier ein Tool, dass sich nur um diese leeren Texte kümmert. ->Link

[Edit]
Ah, der Alfred! Mit 2010 hast du natürlich recht. Insofern sind solche Tools vielleicht eine aussterbende Spezies. 
[/Edit]


Gruß
CADchup

------------------
CADmaro.de

[Diese Nachricht wurde von CADchup am 11. Sep. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Entwicklungsingenieur (m/w/d) in der Luftfahrt
Der Bertrandt-Konzern entwickelt seit über 40 Jahren individuelle Lösungen für die internationale Automobil- und Luftfahrtindustrie sowie die Branchen Elektroindustrie, Energie, Maschinen-/Anlagenbau und Medizintechnik. Insgesamt stehen unsere Mitarbeiterinnen und Mitarbeiter in Europa, China und den USA für tiefes Know-how, zukunftsfähige Projektlösungen und hohe Kundenorientierung.

Entwicklungsingenieur ...

Anzeige ansehenKonstruktion, Visualisierung
steppe2000
Mitglied



Sehen Sie sich das Profil von steppe2000 an!   Senden Sie eine Private Message an steppe2000  Schreiben Sie einen Gästebucheintrag für steppe2000

Beiträge: 108
Registriert: 03.04.2006

erstellt am: 13. Sep. 2009 21:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke euch allen für die Hinweise,Ideen, Anregungen und Lösungsvorschläge...


steppe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz